package com.zzwtec.wechat.sdk.aop.inject;

import com.zzwtec.wechat.sdk.aop.flow.FlowData;

import java.lang.reflect.Method;

/**
 * 进行切入的公共接口
 * @author 毛文超
 * */
public interface InjectHandler {

    FlowData preHandle(Object target, Method method, Object... args);

    void afterHandler(Object o);

    Object throwHandler(Exception e);

    void finallyHandler();
}
